:root {
  --color-bg: #161616;
  --color-text: #ffffff;
  --color-secondary-text: #aaaaaa;
  --color-tertiary-text: #5c5c64;
}

nav ul {
  display: flex;
  gap: 1.5rem;
  list-style: none;
  padding: 0;
}

.language-button-container {
  flex-grow: 1;
  flex-shrink: 0;
  flex-basis: auto;
}

.language-button {
  color: var(--color-secondary-text);
  font-family: "Geist", sans-serif;
  font-weight: 400;
  font-style: normal;
  background: none;
  cursor: pointer;
}

#email-container {
  position: relative;
}

#email-popover {
  position: absolute;
  position-anchor: --email-anchor;
  bottom: 100%;
  left: 50%;
  transform: translateX(-50%);
  margin-bottom: 0.5rem;
  white-space: nowrap;
  opacity: 0;
  visibility: hidden;

  border: 2px outset buttonborder;
  padding: 1px 6px;
  color: var(--color-secondary-text);
  font: inherit;
  font-size: 0.875rem;
  background: none;
  cursor: default;
}

#email-popover.visible {
  opacity: 1;
  visibility: visible;
}

#email {
  anchor-name: --email-anchor;
  color: var(--color-text);
  background: none;
  border: none;
  padding: 0;
  font: inherit;
  cursor: pointer;
}

#email:hover {
  text-decoration: underline;
}

a,
#email {
  color: var(--color-text);
  text-decoration: none;
}

a:visited {
  color: var(--color-text);
}

a:hover,
#email:hover {
  text-decoration: underline;
}

body {
  background-color: var(--color-bg);
  color: var(--color-secondary-text);

  font-family: "Geist", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;

  max-width: 600px;
  margin: 0 auto;
  padding: 0 1rem;
}

header {
}

nav {
  margin-top: 4rem;
}

header h1 {
  color: var(--color-text);
  font-size: 1.5rem;
  font-weight: 500;
  margin-bottom: 0;
}

header div {
  display: flex;
  flex-direction: column;
  gap: 0.25rem;
}

header p {
  line-height: 1.5;
  margin-top: 1rem;
}

#terminalscale-link {
  color: var(--color-secondary-text);
  text-decoration: underline;
}

#terminalscale-link:hover {
  color: var(--color-tertiary-text);
}

.monkey-space {
  flex-grow: 1;
  position: relative;
  /* background-color: red; */
  height: 92px;
  overflow: hidden;
}

.monkey {
  image-rendering: pixelated;
  position: absolute;
  top: 0;
  left: 0;
  width: 48px;
  height: 37px;
  transform: scale(2.5);
  transform-origin: top left;
  background-image: url("./sprite_sheet/monkey_idle/monkey_idle_sprite_sheet.png");
  cursor: pointer;
}

main {
  margin-top: 1rem;
  margin-bottom: 2rem;
  flex-grow: 1;
  flex-shrink: 0;
  flex-basis: auto;
}

summary {
  user-select: none;
  border: 2px outset buttonborder;
  padding: 1px 6px;
  color: var(--color-secondary-text);
  font: inherit;
  font-size: 0.875rem;
  cursor: pointer;
  width: fit-content;
}

details p {
  margin-top: 2rem;
  margin-bottom: 0;
  line-height: 1.5;
}

.page {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

footer {
  margin-top: 0rem;
  display: flex;
  justify-content: center;
  color: var(--color-text);
  font-size: 0.85rem;
}

footer ul {
  display: flex;
  gap: 1.5rem;
  list-style: none;
  padding: 0;
}

#apple-jelly-link {
  color: var(--color-text);
  text-decoration: underline;
}

#apple-jelly-link:hover {
  color: var(--color-tertiary-text);
}
